#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow) {
    ui->setupUi(this);
    ffmpeg_thread = new FfmpegThread();
    connect(ffmpeg_thread, SIGNAL(main_window_signal(int)), this, SLOT(ffmpeg_thread_slot(int)));
}

MainWindow::~MainWindow() {
    delete ui;
}

void MainWindow::on_pushButton_clicked() {
    ui->pushButton->setEnabled(false);
    ffmpeg_thread->start();
}

void MainWindow::ffmpeg_thread_slot(int code) {
    if (code == -1) {
        ui->pushButton->setEnabled(true);
    }
}
